package main

import (
	"context"

	"koti.casa/numenor-labs/dsfx/internal/lib/disk"
	"koti.casa/numenor-labs/dsfx/internal/lib/system"
	"koti.casa/numenor-labs/dsfx/internal/peer/node"
)

func main() {
	n := node.New(disk.Default(), system.Default())

	err := n.Run(context.Background())
	if err != nil {
		panic(err)
	}
}
